VPATH += $(USER_OSD_DIR)/Resource/Matrix
VPATH += $(USER_OSD_DIR)/Resource/Matrix/bmp/src
VPATH += $(USER_OSD_DIR)/Resource/Matrix/font/src
VPATH += $(USER_OSD_DIR)/Resource/Matrix/icon/src
VPATH += $(USER_OSD_DIR)/Resource/Matrix/logo/src
VPATH += $(USER_OSD_DIR)/Resource/Matrix/graphic/src
VPATH += $(USER_OSD_DIR)/Resource/Matrix/palette/src


INCLUDES += -I$(USER_OSD_DIR)/Resource/Matrix/include
INCLUDES += -I$(USER_OSD_DIR)/Resource/Matrix/bmp/inc
INCLUDES += -I$(USER_OSD_DIR)/Resource/Matrix/font/inc
INCLUDES += -I$(USER_OSD_DIR)/Resource/Matrix/icon/inc
INCLUDES += -I$(USER_OSD_DIR)/Resource/Matrix/logo/inc
INCLUDES += -I$(USER_OSD_DIR)/Resource/Matrix/graphic/inc


OBJ_USER_OSD_RESOURCE_MATRIX_C = $(wildcard $(USER_OSD_DIR)/Resource/Matrix/*.c)
OBJ_USER_OSD_RESOURCE_MATRIX_C += $(wildcard $(USER_OSD_DIR)/Resource/Matrix/bmp/src/*.c)
OBJ_USER_OSD_RESOURCE_MATRIX_C += $(wildcard $(USER_OSD_DIR)/Resource/Matrix/font/src/*.c)
OBJ_USER_OSD_RESOURCE_MATRIX_C += $(wildcard $(USER_OSD_DIR)/Resource/Matrix/icon/src/*.c)
OBJ_USER_OSD_RESOURCE_MATRIX_C += $(wildcard $(USER_OSD_DIR)/Resource/Matrix/logo/src/*.c)
OBJ_USER_OSD_RESOURCE_MATRIX_C += $(wildcard $(USER_OSD_DIR)/Resource/Matrix/graphic/src/*.c)
OBJ_USER_OSD_RESOURCE_MATRIX_C += $(wildcard $(USER_OSD_DIR)/Resource/Matrix/palette/src/*.c)
OBJ_USER_OSD_RESOURCE_MATRIX_C_NODIR = $(notdir $(OBJ_USER_OSD_RESOURCE_MATRIX_C))
OBJ_USER_OSD_RESOURCE_MATRIX_C_O = $(OBJ_USER_OSD_RESOURCE_MATRIX_C_NODIR:%.c=%.o)
OSD_TARGET_O += $(OBJ_USER_OSD_RESOURCE_MATRIX_C_O)